/**
 * REV Tools
 */

#if defined _revtools_included_
  #endinput
#endif
#define _revtools_included_

enum EPlayerType
{
    k_eSteamLegitUser,
    k_eSteamCrackedUser,
    k_eRevEmuUser,
    k_eRevEmuUserOld,
    k_eSettiSRCScanBot,
    k_eRevEmuUserV74,
    k_eRevEmuUserVeryOld,
    k_eUnknownUser,
    k_eSteam2Legit,
    k_eSteam2Cracked
};

stock Rev_FormatPlayerType(EPlayerType:type, String:buffer[], size)
{
	switch (type)
	{
		case k_eSteamLegitUser:
			Format(buffer, size, "SteamLegitUser");
		case k_eSteamCrackedUser:
			Format(buffer, size, "SteamCrackedUser");
		case k_eRevEmuUser:
			Format(buffer, size, "RevEmuUser");
		case k_eRevEmuUserOld:
			Format(buffer, size, "RevEmuUserOld");
		case k_eSettiSRCScanBot:
			Format(buffer, size, "SettiSRCScanBot");
		case k_eRevEmuUserV74:
			Format(buffer, size, "RevEmuUserV74");
		case k_eRevEmuUserVeryOld:
			Format(buffer, size, "RevEmuUserVeryOld");
		default:
			Format(buffer, size, "UnknownUser");
	}
}

/**
 * Obtains connected user's info.
 *
 * @param client    Client index.
 * @return	    	Player type.
 */
native EPlayerType:Rev_GetPlayerType(client);

/**
 * Gets client's FriendID string.
 *
 * @param client    Client index.
 * @param friendID  FriendID string to save retrieved value.
 * @param maxlen    Max length of friendID string.
 * @noreturn
 */
native GetFriendID(client, String:friendID[], maxlen);

/**
 * Do not edit below this line!
 */
public Extension:__ext_revtools = 
{
	name = "RevTools",
	file = "revtools.ext",
	autoload = 1,
#if defined REQUIRE_EXTENSIONS
	required = 1,
#else
	required = 0,
#endif
};
